@import 'mixins';
@import 'variables';

%text-title{
    
    text-transform: uppercase;
    font-weight: 700;
    font-size: 14px;
}
.posts{
    margin-top: 2.3rem;
    &__title{
        font-weight: 700;
        font-size: 14px;
        @extend %text-title;
        color:$color-title;
        @include mq('tablet'){
            font-size: 16px;
        }
    }
    &__wrapper{
    
        @include mq('desktop'){
            display: grid;
            grid-template-columns: 1fr 1fr; 
        }
    }
    &__post{
        margin-top: 1.75rem;
        &--tablet{
            display: none;
        }
        @include mq('tablet'){
            display: flex;
            &-text{
                margin: 0 1.3rem 0 1.3rem;
            
            }
        }
    }
    &__post-title{
        margin-top: 0.7rem;
        font-weight: 700;
        font-size: 14px;
        @extend %text-title;
        color:$color-title;
        text-transform: none;
    };
  
    &__post-comments{
        margin-top: 0.6rem;
        font-weight: 400;
        font-size: 11px;
        color: $color-comment;
        @include mq('tablet'){
            font-size: 12px;
        }
    };
    &__text--tablet{
        display: none;
        @include mq('tablet'){
            padding-top: 1rem;
            display: block;
            font-weight: 400;
            font-size: 14px;
            line-height: 26px;
            color: $color-text;
        }
    };
    &__post-image{
        height: auto;
    }
}


